it.csi.mddtools.guigen

## Interface GuigenFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface GuigenFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `GuigenPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GuigenFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivateMultiPanelItemCommand` | `createActivateMultiPanelItemCommand()` Returns a new object of class 'Activate Multi Panel Item Command'
    `ActivationModel` | `createActivationModel()` Returns a new object of class 'Activation Model'
    `ActivationParam` | `createActivationParam()` Returns a new object of class 'Activation Param'
    `Actor` | `createActor()` Returns a new object of class 'Actor'
    `ActorBasedSecurityConstraint` | `createActorBasedSecurityConstraint()` Returns a new object of class 'Actor Based Security Constraint'
    `ActorMappingParam` | `createActorMappingParam()` Returns a new object of class 'Actor Mapping Param'
    `ActorMappingPDefVal` | `createActorMappingPDefVal()` Returns a new object of class 'Actor Mapping PDef Val'
    `Annotation` | `createAnnotation()` Returns a new object of class 'Annotation'
    `AnnotationDetail` | `createAnnotationDetail()` Returns a new object of class 'Annotation Detail'
    `AppDataBinding` | `createAppDataBinding()` Returns a new object of class 'App Data Binding'
    `AppDataGroup` | `createAppDataGroup()` Returns a new object of class 'App Data Group'
    `AppDataMappingParam` | `createAppDataMappingParam()` Returns a new object of class 'App Data Mapping Param'
    `AppDataMappingPDefVal` | `createAppDataMappingPDefVal()` Returns a new object of class 'App Data Mapping PDef Val'
    `ApplicationArea` | `createApplicationArea()` Returns a new object of class 'Application Area'
    `ApplicationData` | `createApplicationData()` Returns a new object of class 'Application Data'
    `ApplicationDataDefs` | `createApplicationDataDefs()` Returns a new object of class 'Application Data Defs'
    `AppModule` | `createAppModule()` Returns a new object of class 'App Module'
    `AppWindow` | `createAppWindow()` Returns a new object of class 'App Window'
    `BeginEditCommand` | `createBeginEditCommand()` Returns a new object of class 'Begin Edit Command'
    `Breadcrumb` | `createBreadcrumb()` Returns a new object of class 'Breadcrumb'
    `Button` | `createButton()` Returns a new object of class 'Button'
    `Calendar` | `createCalendar()` Returns a new object of class 'Calendar'
    `Captcha` | `createCaptcha()` Returns a new object of class 'Captcha'
    `CheckBox` | `createCheckBox()` Returns a new object of class 'Check Box'
    `ChkEditStatusCommand` | `createChkEditStatusCommand()` Returns a new object of class 'Chk Edit Status Command'
    `ClearAppdataCommand` | `createClearAppdataCommand()` Returns a new object of class 'Clear Appdata Command'
    `Column` | `createColumn()` Returns a new object of class 'Column'
    `ColumnModel` | `createColumnModel()` Returns a new object of class 'Column Model'
    `ComboBox` | `createComboBox()` Returns a new object of class 'Combo Box'
    `CommandEvent` | `createCommandEvent()` Returns a new object of class 'Command Event'
    `CommandOutcome` | `createCommandOutcome()` Returns a new object of class 'Command Outcome'
    `CommandPanel` | `createCommandPanel()` Returns a new object of class 'Command Panel'
    `CommandWidget` | `createCommandWidget()` Returns a new object of class 'Command Widget'
    `ComplexType` | `createComplexType()` Returns a new object of class 'Complex Type'
    `ConfirmButton` | `createConfirmButton()` Returns a new object of class 'Confirm Button'
    `ContentPanel` | `createContentPanel()` Returns a new object of class 'Content Panel'
    `CPCommand` | `createCPCommand()` Returns a new object of class 'CP Command'
    `CPCommands` | `createCPCommands()` Returns a new object of class 'CP Commands'
    `CustomAuthentication` | `createCustomAuthentication()` Returns a new object of class 'Custom Authentication'
    `CustomCartridge` | `createCustomCartridge()` Returns a new object of class 'Custom Cartridge'
    `CustomCommand` | `createCustomCommand()` Returns a new object of class 'Custom Command'
    `CustomSecurityConstraint` | `createCustomSecurityConstraint()` Returns a new object of class 'Custom Security Constraint'
    `CustomTemplate` | `createCustomTemplate()` Returns a new object of class 'Custom Template'
    `DataWidget` | `createDataWidget()` Returns a new object of class 'Data Widget'
    `DeclarativeUIConstraint` | `createDeclarativeUIConstraint()` Returns a new object of class 'Declarative UI Constraint'
    `DialogPanel` | `createDialogPanel()` Returns a new object of class 'Dialog Panel'
    `DisabledComponentSet` | `createDisabledComponentSet()` Returns a new object of class 'Disabled Component Set'
    `EndEditCommand` | `createEndEditCommand()` Returns a new object of class 'End Edit Command'
    `EnvConfigParam` | `createEnvConfigParam()` Returns a new object of class 'Env Config Param'
    `EnvConfigParams` | `createEnvConfigParams()` Returns a new object of class 'Env Config Params'
    `EventHandler` | `createEventHandler()` Returns a new object of class 'Event Handler'
    `ExecCommand` | `createExecCommand()` Returns a new object of class 'Exec Command'
    `ExternalAuthenticationGuard` | `createExternalAuthenticationGuard()` Returns a new object of class 'External Authentication Guard'
    `ExtraColumn` | `createExtraColumn()` Returns a new object of class 'Extra Column'
    `Field` | `createField()` Returns a new object of class 'Field'
    `FileUpload` | `createFileUpload()` Returns a new object of class 'File Upload'
    `Footer` | `createFooter()` Returns a new object of class 'Footer'
    `FormPanel` | `createFormPanel()` Returns a new object of class 'Form Panel'
    `GridPanelLayout` | `createGridPanelLayout()` Returns a new object of class 'Grid Panel Layout'
    `GridWidgetLayoutSpec` | `createGridWidgetLayoutSpec()` Returns a new object of class 'Grid Widget Layout Spec'
    `GUIBehaviors` | `createGUIBehaviors()` Returns a new object of class 'GUI Behaviors'
    `GUIModel` | `createGUIModel()` Returns a new object of class 'GUI Model'
    `GUIStructure` | `createGUIStructure()` Returns a new object of class 'GUI Structure'
    `Header` | `createHeader()` Returns a new object of class 'Header'
    `HeaderMetaAttr` | `createHeaderMetaAttr()` Returns a new object of class 'Header Meta Attr'
    `HiddenValue` | `createHiddenValue()` Returns a new object of class 'Hidden Value'
    `HorizontalFlowPanelLayout` | `createHorizontalFlowPanelLayout()` Returns a new object of class 'Horizontal Flow Panel Layout'
    `IdentityAdapter` | `createIdentityAdapter()` Returns a new object of class 'Identity Adapter'
    `Image` | `createImage()` Returns a new object of class 'Image'
    `InlineCodeSnippet` | `createInlineCodeSnippet()` Returns a new object of class 'Inline Code Snippet'
    `InternalAuthenticationGuard` | `createInternalAuthenticationGuard()` Returns a new object of class 'Internal Authentication Guard'
    `JumpBackCommand` | `createJumpBackCommand()` Returns a new object of class 'Jump Back Command'
    `JumpCommand` | `createJumpCommand()` Returns a new object of class 'Jump Command'
    `JumpExtCommand` | `createJumpExtCommand()` Returns a new object of class 'Jump Ext Command'
    `LoginModule` | `createLoginModule()` Returns a new object of class 'Login Module'
    `LoginUI` | `createLoginUI()` Returns a new object of class 'Login UI'
    `MapEnvelope` | `createMapEnvelope()` Returns a new object of class 'Map Envelope'
    `MapView` | `createMapView()` Returns a new object of class 'Map View'
    `MapViewGadgets` | `createMapViewGadgets()` Returns a new object of class 'Map View Gadgets'
    `Menu` | `createMenu()` Returns a new object of class 'Menu'
    `Menubar` | `createMenubar()` Returns a new object of class 'Menubar'
    `MenuItem` | `createMenuItem()` Returns a new object of class 'Menu Item'
    `MenuPanel` | `createMenuPanel()` Returns a new object of class 'Menu Panel'
    `MenuView` | `createMenuView()` Returns a new object of class 'Menu View'
    `ModelSlot` | `createModelSlot()` Returns a new object of class 'Model Slot'
    `ModelSlotDef` | `createModelSlotDef()` Returns a new object of class 'Model Slot Def'
    `MsgBoxPanel` | `createMsgBoxPanel()` Returns a new object of class 'Msg Box Panel'
    `MultiDataWidget` | `createMultiDataWidget()` Returns a new object of class 'Multi Data Widget'
    `MultiPanel` | `createMultiPanel()` Returns a new object of class 'Multi Panel'
    `NOPCommand` | `createNOPCommand()` Returns a new object of class 'NOP Command'
    `ONOFFCommand` | `createONOFFCommand()` Returns a new object of class 'ONOFF Command'
    `OPAUTHSSO` | `createOPAUTHSSO()` Returns a new object of class 'OPAUTHSSO'
    `PanelDef` | `createPanelDef()` Returns a new object of class 'Panel Def'
    `PanelDefState` | `createPanelDefState()` Returns a new object of class 'Panel Def State'
    `PanelDefStates` | `createPanelDefStates()` Returns a new object of class 'Panel Def States'
    `PanelDefUse` | `createPanelDefUse()` Returns a new object of class 'Panel Def Use'
    `PDefStateCommand` | `createPDefStateCommand()` Returns a new object of class 'PDef State Command'
    `PDefUseConfig` | `createPDefUseConfig()` Returns a new object of class 'PDef Use Config'
    `PEPImplementation` | `createPEPImplementation()` Returns a new object of class 'PEP Implementation'
    `PlainText` | `createPlainText()` Returns a new object of class 'Plain Text'
    `Point` | `createPoint()` Returns a new object of class 'Point'
    `PortalExposition` | `createPortalExposition()` Returns a new object of class 'Portal Exposition'
    `PortalProfile` | `createPortalProfile()` Returns a new object of class 'Portal Profile'
    `RadioButton` | `createRadioButton()` Returns a new object of class 'Radio Button'
    `RadioButtons` | `createRadioButtons()` Returns a new object of class 'Radio Buttons'
    `RefreshViewCommand` | `createRefreshViewCommand()` Returns a new object of class 'Refresh View Command'
    `RepartArtifact` | `createRepartArtifact()` Returns a new object of class 'Repart Artifact'
    `RepartModule` | `createRepartModule()` Returns a new object of class 'Repart Module'
    `ResetButton` | `createResetButton()` Returns a new object of class 'Reset Button'
    `Role` | `createRole()` Returns a new object of class 'Role'
    `RoleBasedSecurityConstraint` | `createRoleBasedSecurityConstraint()` Returns a new object of class 'Role Based Security Constraint'
    `RoleMappingParam` | `createRoleMappingParam()` Returns a new object of class 'Role Mapping Param'
    `RoleMappingPDefVal` | `createRoleMappingPDefVal()` Returns a new object of class 'Role Mapping PDef Val'
    `ScreenState` | `createScreenState()` Returns a new object of class 'Screen State'
    `ScreenStateCommand` | `createScreenStateCommand()` Returns a new object of class 'Screen State Command'
    `ScreenStates` | `createScreenStates()` Returns a new object of class 'Screen States'
    `SecurityModel` | `createSecurityModel()` Returns a new object of class 'Security Model'
    `SecurityProfile` | `createSecurityProfile()` Returns a new object of class 'Security Profile'
    `SequenceCommand` | `createSequenceCommand()` Returns a new object of class 'Sequence Command'
    `ShibbolethSSO` | `createShibbolethSSO()` Returns a new object of class 'Shibboleth SSO'
    `ShowDialogCommand` | `createShowDialogCommand()` Returns a new object of class 'Show Dialog Command'
    `SimpleType` | `createSimpleType()` Returns a new object of class 'Simple Type'
    `Slider` | `createSlider()` Returns a new object of class 'Slider'
    `SSOBARTSSO` | `createSSOBARTSSO()` Returns a new object of class 'SSOBARTSSO'
    `StaticLinks` | `createStaticLinks()` Returns a new object of class 'Static Links'
    `Statusbar` | `createStatusbar()` Returns a new object of class 'Statusbar'
    `StdMessagePanel` | `createStdMessagePanel()` Returns a new object of class 'Std Message Panel'
    `StdWebResourceModule` | `createStdWebResourceModule()` Returns a new object of class 'Std Web Resource Module'
    `Table` | `createTable()` Returns a new object of class 'Table'
    `TableCustomizationParam` | `createTableCustomizationParam()` Returns a new object of class 'Table Customization Param'
    `TableCustomizationPDefVal` | `createTableCustomizationPDefVal()` Returns a new object of class 'Table Customization PDef Val'
    `TabSetPanel` | `createTabSetPanel()` Returns a new object of class 'Tab Set Panel'
    `TabSwitcher` | `createTabSwitcher()` Returns a new object of class 'Tab Switcher'
    `TargetPlatform` | `createTargetPlatform()` Returns a new object of class 'Target Platform'
    `TextArea` | `createTextArea()` Returns a new object of class 'Text Area'
    `TextField` | `createTextField()` Returns a new object of class 'Text Field'
    `Titlebar` | `createTitlebar()` Returns a new object of class 'Titlebar'
    `TreeView` | `createTreeView()` Returns a new object of class 'Tree View'
    `TypeAnnotation` | `createTypeAnnotation()` Returns a new object of class 'Type Annotation'
    `TypedArray` | `createTypedArray()` Returns a new object of class 'Typed Array'
    `TypeDefMappingParam` | `createTypeDefMappingParam()` Returns a new object of class 'Type Def Mapping Param'
    `TypeDefMappingPDefVal` | `createTypeDefMappingPDefVal()` Returns a new object of class 'Type Def Mapping PDef Val'
    `Typedefs` | `createTypedefs()` Returns a new object of class 'Typedefs'
    `TypeNamespace` | `createTypeNamespace()` Returns a new object of class 'Type Namespace'
    `UCBasedSecurityConstraint` | `createUCBasedSecurityConstraint()` Returns a new object of class 'UC Based Security Constraint'
    `UCMappingPDefVal` | `createUCMappingPDefVal()` Returns a new object of class 'UC Mapping PDef Val'
    `UDLRCPanelLayout` | `createUDLRCPanelLayout()` Returns a new object of class 'UDLRC Panel Layout'
    `UDLRCWidgetLayoutSpec` | `createUDLRCWidgetLayoutSpec()` Returns a new object of class 'UDLRC Widget Layout Spec'
    `UseCase` | `createUseCase()` Returns a new object of class 'Use Case'
    `UseCaseMappingParam` | `createUseCaseMappingParam()` Returns a new object of class 'Use Case Mapping Param'
    `UserDefinedPanel` | `createUserDefinedPanel()` Returns a new object of class 'User Defined Panel'
    `UserDefinedWidget` | `createUserDefinedWidget()` Returns a new object of class 'User Defined Widget'
    `UserInfoPanel` | `createUserInfoPanel()` Returns a new object of class 'User Info Panel'
    `VerticalFlowPanelLayout` | `createVerticalFlowPanelLayout()` Returns a new object of class 'Vertical Flow Panel Layout'
    `VisibilityCommand` | `createVisibilityCommand()` Returns a new object of class 'Visibility Command'
    `WAYFProfile` | `createWAYFProfile()` Returns a new object of class 'WAYF Profile'
    `WAYFRequestAdapter` | `createWAYFRequestAdapter()` Returns a new object of class 'WAYF Request Adapter'
    `WidgetsPanel` | `createWidgetsPanel()` Returns a new object of class 'Widgets Panel'
    `WizardPanel` | `createWizardPanel()` Returns a new object of class 'Wizard Panel'
    `GuigenPackage` | `getGuigenPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final GuigenFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createApplicationArea

          ApplicationArea createApplicationArea()

      Returns a new object of class 'Application Area'.
      Returns:
        a new object of class 'Application Area'.

    - #### createMenubar

          Menubar createMenubar()

      Returns a new object of class 'Menubar'.
      Returns:
        a new object of class 'Menubar'.

    - #### createStatusbar

          Statusbar createStatusbar()

      Returns a new object of class 'Statusbar'.
      Returns:
        a new object of class 'Statusbar'.

    - #### createTitlebar

          Titlebar createTitlebar()

      Returns a new object of class 'Titlebar'.
      Returns:
        a new object of class 'Titlebar'.

    - #### createContentPanel

          ContentPanel createContentPanel()

      Returns a new object of class 'Content Panel'.
      Returns:
        a new object of class 'Content Panel'.

    - #### createFormPanel

          FormPanel createFormPanel()

      Returns a new object of class 'Form Panel'.
      Returns:
        a new object of class 'Form Panel'.

    - #### createTabSetPanel

          TabSetPanel createTabSetPanel()

      Returns a new object of class 'Tab Set Panel'.
      Returns:
        a new object of class 'Tab Set Panel'.

    - #### createCommandWidget

          CommandWidget createCommandWidget()

      Returns a new object of class 'Command Widget'.
      Returns:
        a new object of class 'Command Widget'.

    - #### createDataWidget

          DataWidget createDataWidget()

      Returns a new object of class 'Data Widget'.
      Returns:
        a new object of class 'Data Widget'.

    - #### createButton

          Button createButton()

      Returns a new object of class 'Button'.
      Returns:
        a new object of class 'Button'.

    - #### createTextField

          TextField createTextField()

      Returns a new object of class 'Text Field'.
      Returns:
        a new object of class 'Text Field'.

    - #### createTextArea

          TextArea createTextArea()

      Returns a new object of class 'Text Area'.
      Returns:
        a new object of class 'Text Area'.

    - #### createCalendar

          Calendar createCalendar()

      Returns a new object of class 'Calendar'.
      Returns:
        a new object of class 'Calendar'.

    - #### createComboBox

          ComboBox createComboBox()

      Returns a new object of class 'Combo Box'.
      Returns:
        a new object of class 'Combo Box'.

    - #### createTable

          Table createTable()

      Returns a new object of class 'Table'.
      Returns:
        a new object of class 'Table'.

    - #### createCheckBox

          CheckBox createCheckBox()

      Returns a new object of class 'Check Box'.
      Returns:
        a new object of class 'Check Box'.

    - #### createGUIModel

          GUIModel createGUIModel()

      Returns a new object of class 'GUI Model'.
      Returns:
        a new object of class 'GUI Model'.

    - #### createGUIStructure

          GUIStructure createGUIStructure()

      Returns a new object of class 'GUI Structure'.
      Returns:
        a new object of class 'GUI Structure'.

    - #### createGUIBehaviors

          GUIBehaviors createGUIBehaviors()

      Returns a new object of class 'GUI Behaviors'.
      Returns:
        a new object of class 'GUI Behaviors'.

    - #### createRadioButtons

          RadioButtons createRadioButtons()

      Returns a new object of class 'Radio Buttons'.
      Returns:
        a new object of class 'Radio Buttons'.

    - #### createRadioButton

          RadioButton createRadioButton()

      Returns a new object of class 'Radio Button'.
      Returns:
        a new object of class 'Radio Button'.

    - #### createResetButton

          ResetButton createResetButton()

      Returns a new object of class 'Reset Button'.
      Returns:
        a new object of class 'Reset Button'.

    - #### createConfirmButton

          ConfirmButton createConfirmButton()

      Returns a new object of class 'Confirm Button'.
      Returns:
        a new object of class 'Confirm Button'.

    - #### createHorizontalFlowPanelLayout

          HorizontalFlowPanelLayout createHorizontalFlowPanelLayout()

      Returns a new object of class 'Horizontal Flow Panel Layout'.
      Returns:
        a new object of class 'Horizontal Flow Panel Layout'.

    - #### createVerticalFlowPanelLayout

          VerticalFlowPanelLayout createVerticalFlowPanelLayout()

      Returns a new object of class 'Vertical Flow Panel Layout'.
      Returns:
        a new object of class 'Vertical Flow Panel Layout'.

    - #### createUDLRCPanelLayout

          UDLRCPanelLayout createUDLRCPanelLayout()

      Returns a new object of class 'UDLRC Panel Layout'.
      Returns:
        a new object of class 'UDLRC Panel Layout'.

    - #### createUDLRCWidgetLayoutSpec

          UDLRCWidgetLayoutSpec createUDLRCWidgetLayoutSpec()

      Returns a new object of class 'UDLRC Widget Layout Spec'.
      Returns:
        a new object of class 'UDLRC Widget Layout Spec'.

    - #### createImage

          Image createImage()

      Returns a new object of class 'Image'.
      Returns:
        a new object of class 'Image'.

    - #### createMenu

          Menu createMenu()

      Returns a new object of class 'Menu'.
      Returns:
        a new object of class 'Menu'.

    - #### createMenuItem

          MenuItem createMenuItem()

      Returns a new object of class 'Menu Item'.
      Returns:
        a new object of class 'Menu Item'.

    - #### createDisabledComponentSet

          DisabledComponentSet createDisabledComponentSet()

      Returns a new object of class 'Disabled Component Set'.
      Returns:
        a new object of class 'Disabled Component Set'.

    - #### createColumnModel

          ColumnModel createColumnModel()

      Returns a new object of class 'Column Model'.
      Returns:
        a new object of class 'Column Model'.

    - #### createColumn

          Column createColumn()

      Returns a new object of class 'Column'.
      Returns:
        a new object of class 'Column'.

    - #### createCommandEvent

          CommandEvent createCommandEvent()

      Returns a new object of class 'Command Event'.
      Returns:
        a new object of class 'Command Event'.

    - #### createONOFFCommand

          ONOFFCommand createONOFFCommand()

      Returns a new object of class 'ONOFF Command'.
      Returns:
        a new object of class 'ONOFF Command'.

    - #### createCustomCommand

          CustomCommand createCustomCommand()

      Returns a new object of class 'Custom Command'.
      Returns:
        a new object of class 'Custom Command'.

    - #### createVisibilityCommand

          VisibilityCommand createVisibilityCommand()

      Returns a new object of class 'Visibility Command'.
      Returns:
        a new object of class 'Visibility Command'.

    - #### createRefreshViewCommand

          RefreshViewCommand createRefreshViewCommand()

      Returns a new object of class 'Refresh View Command'.
      Returns:
        a new object of class 'Refresh View Command'.

    - #### createJumpCommand

          JumpCommand createJumpCommand()

      Returns a new object of class 'Jump Command'.
      Returns:
        a new object of class 'Jump Command'.

    - #### createExecCommand

          ExecCommand createExecCommand()

      Returns a new object of class 'Exec Command'.
      Returns:
        a new object of class 'Exec Command'.

    - #### createEventHandler

          EventHandler createEventHandler()

      Returns a new object of class 'Event Handler'.
      Returns:
        a new object of class 'Event Handler'.

    - #### createDialogPanel

          DialogPanel createDialogPanel()

      Returns a new object of class 'Dialog Panel'.
      Returns:
        a new object of class 'Dialog Panel'.

    - #### createShowDialogCommand

          ShowDialogCommand createShowDialogCommand()

      Returns a new object of class 'Show Dialog Command'.
      Returns:
        a new object of class 'Show Dialog Command'.

    - #### createCommandOutcome

          CommandOutcome createCommandOutcome()

      Returns a new object of class 'Command Outcome'.
      Returns:
        a new object of class 'Command Outcome'.

    - #### createHeader

          Header createHeader()

      Returns a new object of class 'Header'.
      Returns:
        a new object of class 'Header'.

    - #### createHeaderMetaAttr

          HeaderMetaAttr createHeaderMetaAttr()

      Returns a new object of class 'Header Meta Attr'.
      Returns:
        a new object of class 'Header Meta Attr'.

    - #### createFooter

          Footer createFooter()

      Returns a new object of class 'Footer'.
      Returns:
        a new object of class 'Footer'.

    - #### createAppWindow

          AppWindow createAppWindow()

      Returns a new object of class 'App Window'.
      Returns:
        a new object of class 'App Window'.

    - #### createStaticLinks

          StaticLinks createStaticLinks()

      Returns a new object of class 'Static Links'.
      Returns:
        a new object of class 'Static Links'.

    - #### createSequenceCommand

          SequenceCommand createSequenceCommand()

      Returns a new object of class 'Sequence Command'.
      Returns:
        a new object of class 'Sequence Command'.

    - #### createJumpBackCommand

          JumpBackCommand createJumpBackCommand()

      Returns a new object of class 'Jump Back Command'.
      Returns:
        a new object of class 'Jump Back Command'.

    - #### createApplicationData

          ApplicationData createApplicationData()

      Returns a new object of class 'Application Data'.
      Returns:
        a new object of class 'Application Data'.

    - #### createAppDataBinding

          AppDataBinding createAppDataBinding()

      Returns a new object of class 'App Data Binding'.
      Returns:
        a new object of class 'App Data Binding'.

    - #### createMultiDataWidget

          MultiDataWidget createMultiDataWidget()

      Returns a new object of class 'Multi Data Widget'.
      Returns:
        a new object of class 'Multi Data Widget'.

    - #### createTypedefs

          Typedefs createTypedefs()

      Returns a new object of class 'Typedefs'.
      Returns:
        a new object of class 'Typedefs'.

    - #### createSimpleType

          SimpleType createSimpleType()

      Returns a new object of class 'Simple Type'.
      Returns:
        a new object of class 'Simple Type'.

    - #### createComplexType

          ComplexType createComplexType()

      Returns a new object of class 'Complex Type'.
      Returns:
        a new object of class 'Complex Type'.

    - #### createTypeAnnotation

          TypeAnnotation createTypeAnnotation()

      Returns a new object of class 'Type Annotation'.
      Returns:
        a new object of class 'Type Annotation'.

    - #### createTypedArray

          TypedArray createTypedArray()

      Returns a new object of class 'Typed Array'.
      Returns:
        a new object of class 'Typed Array'.

    - #### createField

          Field createField()

      Returns a new object of class 'Field'.
      Returns:
        a new object of class 'Field'.

    - #### createApplicationDataDefs

          ApplicationDataDefs createApplicationDataDefs()

      Returns a new object of class 'Application Data Defs'.
      Returns:
        a new object of class 'Application Data Defs'.

    - #### createTreeView

          TreeView createTreeView()

      Returns a new object of class 'Tree View'.
      Returns:
        a new object of class 'Tree View'.

    - #### createPlainText

          PlainText createPlainText()

      Returns a new object of class 'Plain Text'.
      Returns:
        a new object of class 'Plain Text'.

    - #### createMenuView

          MenuView createMenuView()

      Returns a new object of class 'Menu View'.
      Returns:
        a new object of class 'Menu View'.

    - #### createGridPanelLayout

          GridPanelLayout createGridPanelLayout()

      Returns a new object of class 'Grid Panel Layout'.
      Returns:
        a new object of class 'Grid Panel Layout'.

    - #### createGridWidgetLayoutSpec

          GridWidgetLayoutSpec createGridWidgetLayoutSpec()

      Returns a new object of class 'Grid Widget Layout Spec'.
      Returns:
        a new object of class 'Grid Widget Layout Spec'.

    - #### createCommandPanel

          CommandPanel createCommandPanel()

      Returns a new object of class 'Command Panel'.
      Returns:
        a new object of class 'Command Panel'.

    - #### createMenuPanel

          MenuPanel createMenuPanel()

      Returns a new object of class 'Menu Panel'.
      Returns:
        a new object of class 'Menu Panel'.

    - #### createHiddenValue

          HiddenValue createHiddenValue()

      Returns a new object of class 'Hidden Value'.
      Returns:
        a new object of class 'Hidden Value'.

    - #### createUserDefinedWidget

          UserDefinedWidget createUserDefinedWidget()

      Returns a new object of class 'User Defined Widget'.
      Returns:
        a new object of class 'User Defined Widget'.

    - #### createMultiPanel

          MultiPanel createMultiPanel()

      Returns a new object of class 'Multi Panel'.
      Returns:
        a new object of class 'Multi Panel'.

    - #### createActivateMultiPanelItemCommand

          ActivateMultiPanelItemCommand createActivateMultiPanelItemCommand()

      Returns a new object of class 'Activate Multi Panel Item Command'.
      Returns:
        a new object of class 'Activate Multi Panel Item Command'.

    - #### createUCBasedSecurityConstraint

          UCBasedSecurityConstraint createUCBasedSecurityConstraint()

      Returns a new object of class 'UC Based Security Constraint'.
      Returns:
        a new object of class 'UC Based Security Constraint'.

    - #### createSecurityModel

          SecurityModel createSecurityModel()

      Returns a new object of class 'Security Model'.
      Returns:
        a new object of class 'Security Model'.

    - #### createActor

          Actor createActor()

      Returns a new object of class 'Actor'.
      Returns:
        a new object of class 'Actor'.

    - #### createUseCase

          UseCase createUseCase()

      Returns a new object of class 'Use Case'.
      Returns:
        a new object of class 'Use Case'.

    - #### createActorBasedSecurityConstraint

          ActorBasedSecurityConstraint createActorBasedSecurityConstraint()

      Returns a new object of class 'Actor Based Security Constraint'.
      Returns:
        a new object of class 'Actor Based Security Constraint'.

    - #### createCustomSecurityConstraint

          CustomSecurityConstraint createCustomSecurityConstraint()

      Returns a new object of class 'Custom Security Constraint'.
      Returns:
        a new object of class 'Custom Security Constraint'.

    - #### createOPAUTHSSO

          OPAUTHSSO createOPAUTHSSO()

      Returns a new object of class 'OPAUTHSSO'.
      Returns:
        a new object of class 'OPAUTHSSO'.

    - #### createSSOBARTSSO

          SSOBARTSSO createSSOBARTSSO()

      Returns a new object of class 'SSOBARTSSO'.
      Returns:
        a new object of class 'SSOBARTSSO'.

    - #### createCustomAuthentication

          CustomAuthentication createCustomAuthentication()

      Returns a new object of class 'Custom Authentication'.
      Returns:
        a new object of class 'Custom Authentication'.

    - #### createStdMessagePanel

          StdMessagePanel createStdMessagePanel()

      Returns a new object of class 'Std Message Panel'.
      Returns:
        a new object of class 'Std Message Panel'.

    - #### createJumpExtCommand

          JumpExtCommand createJumpExtCommand()

      Returns a new object of class 'Jump Ext Command'.
      Returns:
        a new object of class 'Jump Ext Command'.

    - #### createTargetPlatform

          TargetPlatform createTargetPlatform()

      Returns a new object of class 'Target Platform'.
      Returns:
        a new object of class 'Target Platform'.

    - #### createUserInfoPanel

          UserInfoPanel createUserInfoPanel()

      Returns a new object of class 'User Info Panel'.
      Returns:
        a new object of class 'User Info Panel'.

    - #### createUserDefinedPanel

          UserDefinedPanel createUserDefinedPanel()

      Returns a new object of class 'User Defined Panel'.
      Returns:
        a new object of class 'User Defined Panel'.

    - #### createWizardPanel

          WizardPanel createWizardPanel()

      Returns a new object of class 'Wizard Panel'.
      Returns:
        a new object of class 'Wizard Panel'.

    - #### createAppModule

          AppModule createAppModule()

      Returns a new object of class 'App Module'.
      Returns:
        a new object of class 'App Module'.

    - #### createTypeNamespace

          TypeNamespace createTypeNamespace()

      Returns a new object of class 'Type Namespace'.
      Returns:
        a new object of class 'Type Namespace'.

    - #### createAppDataGroup

          AppDataGroup createAppDataGroup()

      Returns a new object of class 'App Data Group'.
      Returns:
        a new object of class 'App Data Group'.

    - #### createMsgBoxPanel

          MsgBoxPanel createMsgBoxPanel()

      Returns a new object of class 'Msg Box Panel'.
      Returns:
        a new object of class 'Msg Box Panel'.

    - #### createNOPCommand

          NOPCommand createNOPCommand()

      Returns a new object of class 'NOP Command'.
      Returns:
        a new object of class 'NOP Command'.

    - #### createWidgetsPanel

          WidgetsPanel createWidgetsPanel()

      Returns a new object of class 'Widgets Panel'.
      Returns:
        a new object of class 'Widgets Panel'.

    - #### createScreenState

          ScreenState createScreenState()

      Returns a new object of class 'Screen State'.
      Returns:
        a new object of class 'Screen State'.

    - #### createScreenStates

          ScreenStates createScreenStates()

      Returns a new object of class 'Screen States'.
      Returns:
        a new object of class 'Screen States'.

    - #### createScreenStateCommand

          ScreenStateCommand createScreenStateCommand()

      Returns a new object of class 'Screen State Command'.
      Returns:
        a new object of class 'Screen State Command'.

    - #### createShibbolethSSO

          ShibbolethSSO createShibbolethSSO()

      Returns a new object of class 'Shibboleth SSO'.
      Returns:
        a new object of class 'Shibboleth SSO'.

    - #### createRole

          Role createRole()

      Returns a new object of class 'Role'.
      Returns:
        a new object of class 'Role'.

    - #### createRoleBasedSecurityConstraint

          RoleBasedSecurityConstraint createRoleBasedSecurityConstraint()

      Returns a new object of class 'Role Based Security Constraint'.
      Returns:
        a new object of class 'Role Based Security Constraint'.

    - #### createDeclarativeUIConstraint

          DeclarativeUIConstraint createDeclarativeUIConstraint()

      Returns a new object of class 'Declarative UI Constraint'.
      Returns:
        a new object of class 'Declarative UI Constraint'.

    - #### createFileUpload

          FileUpload createFileUpload()

      Returns a new object of class 'File Upload'.
      Returns:
        a new object of class 'File Upload'.

    - #### createTabSwitcher

          TabSwitcher createTabSwitcher()

      Returns a new object of class 'Tab Switcher'.
      Returns:
        a new object of class 'Tab Switcher'.

    - #### createPanelDef

          PanelDef createPanelDef()

      Returns a new object of class 'Panel Def'.
      Returns:
        a new object of class 'Panel Def'.

    - #### createAppDataMappingParam

          AppDataMappingParam createAppDataMappingParam()

      Returns a new object of class 'App Data Mapping Param'.
      Returns:
        a new object of class 'App Data Mapping Param'.

    - #### createTypeDefMappingParam

          TypeDefMappingParam createTypeDefMappingParam()

      Returns a new object of class 'Type Def Mapping Param'.
      Returns:
        a new object of class 'Type Def Mapping Param'.

    - #### createUseCaseMappingParam

          UseCaseMappingParam createUseCaseMappingParam()

      Returns a new object of class 'Use Case Mapping Param'.
      Returns:
        a new object of class 'Use Case Mapping Param'.

    - #### createRoleMappingParam

          RoleMappingParam createRoleMappingParam()

      Returns a new object of class 'Role Mapping Param'.
      Returns:
        a new object of class 'Role Mapping Param'.

    - #### createActorMappingParam

          ActorMappingParam createActorMappingParam()

      Returns a new object of class 'Actor Mapping Param'.
      Returns:
        a new object of class 'Actor Mapping Param'.

    - #### createPanelDefUse

          PanelDefUse createPanelDefUse()

      Returns a new object of class 'Panel Def Use'.
      Returns:
        a new object of class 'Panel Def Use'.

    - #### createAppDataMappingPDefVal

          AppDataMappingPDefVal createAppDataMappingPDefVal()

      Returns a new object of class 'App Data Mapping PDef Val'.
      Returns:
        a new object of class 'App Data Mapping PDef Val'.

    - #### createTypeDefMappingPDefVal

          TypeDefMappingPDefVal createTypeDefMappingPDefVal()

      Returns a new object of class 'Type Def Mapping PDef Val'.
      Returns:
        a new object of class 'Type Def Mapping PDef Val'.

    - #### createUCMappingPDefVal

          UCMappingPDefVal createUCMappingPDefVal()

      Returns a new object of class 'UC Mapping PDef Val'.
      Returns:
        a new object of class 'UC Mapping PDef Val'.

    - #### createRoleMappingPDefVal

          RoleMappingPDefVal createRoleMappingPDefVal()

      Returns a new object of class 'Role Mapping PDef Val'.
      Returns:
        a new object of class 'Role Mapping PDef Val'.

    - #### createActorMappingPDefVal

          ActorMappingPDefVal createActorMappingPDefVal()

      Returns a new object of class 'Actor Mapping PDef Val'.
      Returns:
        a new object of class 'Actor Mapping PDef Val'.

    - #### createPDefUseConfig

          PDefUseConfig createPDefUseConfig()

      Returns a new object of class 'PDef Use Config'.
      Returns:
        a new object of class 'PDef Use Config'.

    - #### createActivationModel

          ActivationModel createActivationModel()

      Returns a new object of class 'Activation Model'.
      Returns:
        a new object of class 'Activation Model'.

    - #### createActivationParam

          ActivationParam createActivationParam()

      Returns a new object of class 'Activation Param'.
      Returns:
        a new object of class 'Activation Param'.

    - #### createBeginEditCommand

          BeginEditCommand createBeginEditCommand()

      Returns a new object of class 'Begin Edit Command'.
      Returns:
        a new object of class 'Begin Edit Command'.

    - #### createEndEditCommand

          EndEditCommand createEndEditCommand()

      Returns a new object of class 'End Edit Command'.
      Returns:
        a new object of class 'End Edit Command'.

    - #### createChkEditStatusCommand

          ChkEditStatusCommand createChkEditStatusCommand()

      Returns a new object of class 'Chk Edit Status Command'.
      Returns:
        a new object of class 'Chk Edit Status Command'.

    - #### createPanelDefState

          PanelDefState createPanelDefState()

      Returns a new object of class 'Panel Def State'.
      Returns:
        a new object of class 'Panel Def State'.

    - #### createPDefStateCommand

          PDefStateCommand createPDefStateCommand()

      Returns a new object of class 'PDef State Command'.
      Returns:
        a new object of class 'PDef State Command'.

    - #### createPanelDefStates

          PanelDefStates createPanelDefStates()

      Returns a new object of class 'Panel Def States'.
      Returns:
        a new object of class 'Panel Def States'.

    - #### createTableCustomizationParam

          TableCustomizationParam createTableCustomizationParam()

      Returns a new object of class 'Table Customization Param'.
      Returns:
        a new object of class 'Table Customization Param'.

    - #### createExtraColumn

          ExtraColumn createExtraColumn()

      Returns a new object of class 'Extra Column'.
      Returns:
        a new object of class 'Extra Column'.

    - #### createTableCustomizationPDefVal

          TableCustomizationPDefVal createTableCustomizationPDefVal()

      Returns a new object of class 'Table Customization PDef Val'.
      Returns:
        a new object of class 'Table Customization PDef Val'.

    - #### createCustomCartridge

          CustomCartridge createCustomCartridge()

      Returns a new object of class 'Custom Cartridge'.
      Returns:
        a new object of class 'Custom Cartridge'.

    - #### createCustomTemplate

          CustomTemplate createCustomTemplate()

      Returns a new object of class 'Custom Template'.
      Returns:
        a new object of class 'Custom Template'.

    - #### createModelSlotDef

          ModelSlotDef createModelSlotDef()

      Returns a new object of class 'Model Slot Def'.
      Returns:
        a new object of class 'Model Slot Def'.

    - #### createModelSlot

          ModelSlot createModelSlot()

      Returns a new object of class 'Model Slot'.
      Returns:
        a new object of class 'Model Slot'.

    - #### createClearAppdataCommand

          ClearAppdataCommand createClearAppdataCommand()

      Returns a new object of class 'Clear Appdata Command'.
      Returns:
        a new object of class 'Clear Appdata Command'.

    - #### createMapView

          MapView createMapView()

      Returns a new object of class 'Map View'.
      Returns:
        a new object of class 'Map View'.

    - #### createPoint

          Point createPoint()

      Returns a new object of class 'Point'.
      Returns:
        a new object of class 'Point'.

    - #### createMapEnvelope

          MapEnvelope createMapEnvelope()

      Returns a new object of class 'Map Envelope'.
      Returns:
        a new object of class 'Map Envelope'.

    - #### createPortalProfile

          PortalProfile createPortalProfile()

      Returns a new object of class 'Portal Profile'.
      Returns:
        a new object of class 'Portal Profile'.

    - #### createStdWebResourceModule

          StdWebResourceModule createStdWebResourceModule()

      Returns a new object of class 'Std Web Resource Module'.
      Returns:
        a new object of class 'Std Web Resource Module'.

    - #### createRepartArtifact

          RepartArtifact createRepartArtifact()

      Returns a new object of class 'Repart Artifact'.
      Returns:
        a new object of class 'Repart Artifact'.

    - #### createRepartModule

          RepartModule createRepartModule()

      Returns a new object of class 'Repart Module'.
      Returns:
        a new object of class 'Repart Module'.

    - #### createBreadcrumb

          Breadcrumb createBreadcrumb()

      Returns a new object of class 'Breadcrumb'.
      Returns:
        a new object of class 'Breadcrumb'.

    - #### createMapViewGadgets

          MapViewGadgets createMapViewGadgets()

      Returns a new object of class 'Map View Gadgets'.
      Returns:
        a new object of class 'Map View Gadgets'.

    - #### createPortalExposition

          PortalExposition createPortalExposition()

      Returns a new object of class 'Portal Exposition'.
      Returns:
        a new object of class 'Portal Exposition'.

    - #### createCPCommand

          CPCommand createCPCommand()

      Returns a new object of class 'CP Command'.
      Returns:
        a new object of class 'CP Command'.

    - #### createCPCommands

          CPCommands createCPCommands()

      Returns a new object of class 'CP Commands'.
      Returns:
        a new object of class 'CP Commands'.

    - #### createSecurityProfile

          SecurityProfile createSecurityProfile()

      Returns a new object of class 'Security Profile'.
      Returns:
        a new object of class 'Security Profile'.

    - #### createExternalAuthenticationGuard

          ExternalAuthenticationGuard createExternalAuthenticationGuard()

      Returns a new object of class 'External Authentication Guard'.
      Returns:
        a new object of class 'External Authentication Guard'.

    - #### createInternalAuthenticationGuard

          InternalAuthenticationGuard createInternalAuthenticationGuard()

      Returns a new object of class 'Internal Authentication Guard'.
      Returns:
        a new object of class 'Internal Authentication Guard'.

    - #### createWAYFRequestAdapter

          WAYFRequestAdapter createWAYFRequestAdapter()

      Returns a new object of class 'WAYF Request Adapter'.
      Returns:
        a new object of class 'WAYF Request Adapter'.

    - #### createWAYFProfile

          WAYFProfile createWAYFProfile()

      Returns a new object of class 'WAYF Profile'.
      Returns:
        a new object of class 'WAYF Profile'.

    - #### createLoginUI

          LoginUI createLoginUI()

      Returns a new object of class 'Login UI'.
      Returns:
        a new object of class 'Login UI'.

    - #### createLoginModule

          LoginModule createLoginModule()

      Returns a new object of class 'Login Module'.
      Returns:
        a new object of class 'Login Module'.

    - #### createIdentityAdapter

          IdentityAdapter createIdentityAdapter()

      Returns a new object of class 'Identity Adapter'.
      Returns:
        a new object of class 'Identity Adapter'.

    - #### createEnvConfigParam

          EnvConfigParam createEnvConfigParam()

      Returns a new object of class 'Env Config Param'.
      Returns:
        a new object of class 'Env Config Param'.

    - #### createEnvConfigParams

          EnvConfigParams createEnvConfigParams()

      Returns a new object of class 'Env Config Params'.
      Returns:
        a new object of class 'Env Config Params'.

    - #### createPEPImplementation

          PEPImplementation createPEPImplementation()

      Returns a new object of class 'PEP Implementation'.
      Returns:
        a new object of class 'PEP Implementation'.

    - #### createInlineCodeSnippet

          InlineCodeSnippet createInlineCodeSnippet()

      Returns a new object of class 'Inline Code Snippet'.
      Returns:
        a new object of class 'Inline Code Snippet'.

    - #### createAnnotation

          Annotation createAnnotation()

      Returns a new object of class 'Annotation'.
      Returns:
        a new object of class 'Annotation'.

    - #### createAnnotationDetail

          AnnotationDetail createAnnotationDetail()

      Returns a new object of class 'Annotation Detail'.
      Returns:
        a new object of class 'Annotation Detail'.

    - #### createCaptcha

          Captcha createCaptcha()

      Returns a new object of class 'Captcha'.
      Returns:
        a new object of class 'Captcha'.

    - #### createSlider

          Slider createSlider()

      Returns a new object of class 'Slider'.
      Returns:
        a new object of class 'Slider'.

    - #### getGuigenPackage

          GuigenPackage getGuigenPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.